-- ~/.hammerspoon/HyperKey.lua

-- Define the Hyper Key global (Cmd + Alt + Ctrl + Shift)
-- Map Caps Lock to this combo using Karabiner-Elements

-- hyper = {"ralt"}
hyper = {"cmd", "alt", "ctrl", "shift"}

-- Global Shortcuts
hs.hotkey.bind(hyper, "R", function()
    hs.reload()
end)

print("HyperKey Module: Set to CAPS Lock")

return hyper